Ruby-postgres for Ruby 1.9

It looks like ruby-postgres needs some patching due to the changes
in rubyio.h. I believe these two changes take care of the problem:

/*    PQtrace(get_pgconn(obj), fp->f2?fp->f2:fp->f); */
PQtrace(get_pgconn(obj), fp->stdio_file);

/*    PQprint(fp->f2?fp->f2:fp->f, get_pgresult(obj), &po);*/
PQprint(fp->stdio_file, get_pgresult(obj), &po);

I’m using the force a bit here, and assuming that the additional
pointer for rw pipes has been deprecated. In my defense it compiles
and runs.

Who’s the current maintainer of ruby-postgres?

Chris Long, San Diego Padres, 100 Park Boulevard, San Diego CA

It is pitch black. You are likely to be eaten by a grue.

On Wed, 2007-02-28 at 21:10 +0900, Chris Long wrote:

pointer for rw pipes has been deprecated. In my defense it compiles
and runs.

Who’s the current maintainer of ruby-postgres?

Dave L. is the current maintainer, [email protected], and I have
quite a few fixes that I’d like applied as well. He’s been busy for the
past few months, so I haven’t had much luck getting the fixes in. He’s
supposed to be giving me read access to the repository so I can at least
see what he’s committing to it, but I’ve been waiting on that for a
while, too.

Overall, the module needs a substantial amount of work (it’s still using
deprecated API functions, for instance).

Regards,
Jeff D.

PS: He has another email address also, but I don’t want to post that on
a public list for obvious reasons.

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs